package com.bonus.canteen.core.customer.dto;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AddCustAddrForAppDTO {
   @TableId
   @ApiModelProperty("主键")
   private Long id;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("手机号")
   private String mobile;
   @ApiModelProperty("地区代码 国家统一地区代码,到县级别")
   private String areaCode;
   @ApiModelProperty("详细地址")
   private String detailAddr;
   @ApiModelProperty("地址全称")
   private String addrFullName;
   @ApiModelProperty("openid")
   private String openid;
   @ApiModelProperty("来源类型 1-钉钉 2-微信 3-小程序")
   private Integer sourceType;
   @ApiModelProperty("位置id")
   private Long placeId;

   public Long getCustId() {
      return this.custId;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getAreaCode() {
      return this.areaCode;
   }

   public String getDetailAddr() {
      return this.detailAddr;
   }

   public String getAddrFullName() {
      return this.addrFullName;
   }

   public String getOpenid() {
      return this.openid;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public Long getPlaceId() {
      return this.placeId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setAreaCode(final String areaCode) {
      this.areaCode = areaCode;
   }

   public void setDetailAddr(final String detailAddr) {
      this.detailAddr = detailAddr;
   }

   public void setAddrFullName(final String addrFullName) {
      this.addrFullName = addrFullName;
   }

   public void setOpenid(final String openid) {
      this.openid = openid;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setPlaceId(final Long placeId) {
      this.placeId = placeId;
   }




}
